summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/mastodon/endpoints/apps.ts (follow)
Commit message (Collapse)AuthorAgeFilesLines
* implement '/v1/apps/verify_credentials'Hazelnoot2025-05-081-0/+9
|
* add missing "return reply" calls to async fastify routesHazelnoot2025-05-081-1/+1
| | | | Required, according to docs: https://fastify.dev/docs/latest/Reference/Routes/#async-await
* improve type checks in POST /api/v1/apps endpointHazelnoot2025-05-081-7/+8
|
* improve compatibility with multipart/form-data mastodon API requestsHazelnoot2025-05-081-3/+2
|
* normalize mastodon BAD_REQUEST errorsHazelnoot2025-03-271-3/+3
|
* de-duplicate mastodon API loggingHazelnoot2025-03-271-42/+34
|
* refactor mastodon API and preserve remote user agent for requestsHazelnoot2025-03-271-0/+121